- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
= render "layouts/google_tag_manager_body"

- page_title s_("UsageQuota|Usage")
- @content_class = "limit-container-width" unless fluid_layout
- url_to_purchase_storage = purchase_storage_url if purchase_storage_link_enabled?(@namespace)
- buy_addon_target_attr = buy_addon_target_attr(@namespace) if purchase_storage_link_enabled?(@namespace)

%h3.page-title
  = s_('UsageQuota|Usage Quotas')

.row
  .col-sm-6
    = s_('UsageQuota|Usage of resources across your projects').html_safe

.top-area.scrolling-tabs-container.inner-page-scroll-tabs
  %ul.nav.nav-tabs.nav-links.scrolling-tabs.separator.js-storage-tabs{ role: 'tablist' }
    %li.nav-item
      %a.nav-link#pipelines-quota{ data: { toggle: "tab", action: '#pipelines-quota-tab' }, href: '#pipelines-quota-tab', 'aria-controls': '#pipelines-quota-tab', 'aria-selected': true }
        = s_('UsageQuota|Pipelines')
    %li.nav-item
      %a.nav-link#storage-quota{ data: { toggle: "tab", action: '#storage-quota-tab' }, href: '#storage-quota-tab', 'aria-controls': '#storage-quota-tab', 'aria-selected': false }
        = s_('UsageQuota|Storage')
.tab-content
  .tab-pane#pipelines-quota-tab
    = render "namespaces/pipelines_quota/list",
      locals: { namespace: @namespace, projects_usage: @projects_usage }
  .tab-pane#storage-quota-tab
    #js-storage-counter-app{ data: { namespace_path: @namespace.full_path, purchase_storage_url: url_to_purchase_storage, buy_addon_target_attr: buy_addon_target_attr, is_temporary_storage_increase_visible: temporary_storage_increase_visible?(@namespace).to_s, default_per_page: page_size, additional_repo_storage_by_namespace: current_user.namespace.additional_repo_storage_by_namespace_enabled?.to_s } }
